Create deployment environment token for meta sync
curl --request POST \
--url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens-for-meta-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"security_context": {},
"expires_in": 1800,
"scopes": [
"<string>"
]
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens-for-meta-sync"
payload = {
"security_context": {},
"expires_in": 1800,
"scopes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({security_context: {}, expires_in: 1800, scopes: ['<string>']})
};
fetch('https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens-for-meta-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"created_at": "<string>",
"expires_at": "<string>",
"security_context": {},
"token": "<string>"
}
}Environments
Create deployment environment token for meta sync
POST
/
v1
/
deployments
/
{deploymentId}
/
environments
/
{environmentId}
/
tokens-for-meta-sync
Create deployment environment token for meta sync
Authorizations
Token authentication. Send Authorization: Bearer <YOUR_TOKEN>.
Body
application/json
CreateDeploymentEnvironmentTokenInput
Response
200 - application/json
Show child attributes
Show child attributes
⌘I